<?php
/**
 * OTT TV Shows Theme Customizer.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package ott_tv_shows
 */

if( ! function_exists( 'ott_tv_shows_customize_register' ) ):  
/**
 * Add postMessage support for site title and description for the Theme Customizer.F
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function ott_tv_shows_customize_register( $wp_customize ) {
    require get_parent_theme_file_path('/inc/controls/changeable-icon.php');
    

    if ( version_compare( get_bloginfo('version'),'4.9', '>=') ) {
        $wp_customize->get_section( 'static_front_page' )->title = __( 'Static Front Page', 'ott-tv-shows' );
    }
	
    /* Option list of all post */	
    $ott_tv_shows_options_posts = array();
    $ott_tv_shows_options_posts_obj = get_posts('posts_per_page=-1');
    $ott_tv_shows_options_posts[''] = esc_html__( 'Choose Post', 'ott-tv-shows' );
    foreach ( $ott_tv_shows_options_posts_obj as $ott_tv_shows_posts ) {
    	$ott_tv_shows_options_posts[$ott_tv_shows_posts->ID] = $ott_tv_shows_posts->post_title;
    }
    
    /* Option list of all categories */
    $ott_tv_shows_args = array(
	   'type'                     => 'post',
	   'orderby'                  => 'name',
	   'order'                    => 'ASC',
	   'hide_empty'               => 1,
	   'hierarchical'             => 1,
	   'taxonomy'                 => 'category'
    ); 
    $ott_tv_shows_option_categories = array();
    $ott_tv_shows_category_lists = get_categories( $ott_tv_shows_args );
    $ott_tv_shows_option_categories[''] = esc_html__( 'Choose Category', 'ott-tv-shows' );
    foreach( $ott_tv_shows_category_lists as $ott_tv_shows_category ){
        $ott_tv_shows_option_categories[$ott_tv_shows_category->term_id] = $ott_tv_shows_category->name;
    }
    
    /** Default Settings */    
    $wp_customize->add_panel( 
        'wp_default_panel',
         array(
            'priority' => 10,
            'capability' => 'edit_theme_options',
            'theme_supports' => '',
            'title' => esc_html__( 'Default Settings', 'ott-tv-shows' ),
            'description' => esc_html__( 'Default section provided by wordpress customizer.', 'ott-tv-shows' ),
        ) 
    );
    
    $wp_customize->get_section( 'title_tagline' )->panel                  = 'wp_default_panel';
    $wp_customize->get_section( 'colors' )->panel                         = 'wp_default_panel';
    $wp_customize->get_section( 'header_image' )->panel                   = 'wp_default_panel';
    $wp_customize->get_section( 'background_image' )->panel               = 'wp_default_panel';
    $wp_customize->get_section( 'static_front_page' )->panel              = 'wp_default_panel';
    
    $wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
    
    /** Default Settings Ends */
    
    /** Site Title control */
    $wp_customize->add_setting( 
        'header_site_title', 
        array(
            'default'           => true,
            'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
        ) 
    );

    $wp_customize->add_control(
        'header_site_title',
        array(
            'label'       => __( 'Show / Hide Site Title', 'ott-tv-shows' ),
            'section'     => 'title_tagline',
            'type'        => 'checkbox',
        )
    );

    /** Tagline control */
    $wp_customize->add_setting( 
        'header_tagline', 
        array(
            'default'           => false,
            'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
        ) 
    );

    $wp_customize->add_control(
        'header_tagline',
        array(
            'label'       => __( 'Show / Hide Tagline', 'ott-tv-shows' ),
            'section'     => 'title_tagline',
            'type'        => 'checkbox',
        )
    );

    $wp_customize->add_setting('logo_width', array(
        'sanitize_callback' => 'absint', 
    ));

    // Add a control for logo width
    $wp_customize->add_control('logo_width', array(
        'label' => __('Logo Width', 'ott-tv-shows'),
        'section' => 'title_tagline',
        'type' => 'number',
        'input_attrs' => array(
            'min' => '50', 
            'max' => '500', 
            'step' => '5', 
    ),
        'default' => '100', 
    ));

    $wp_customize->add_setting( 'ott_tv_shows_site_title_size', array(
        'default'           => 30, // Default font size in pixels
        'sanitize_callback' => 'absint', // Sanitize the input as a positive integer
    ) );

    // Add control for site title size
    $wp_customize->add_control( 'ott_tv_shows_site_title_size', array(
        'type'        => 'number',
        'section'     => 'title_tagline', // You can change this section to your preferred section
        'label'       => __( 'Site Title Font Size (px)', 'ott-tv-shows' ),
        'input_attrs' => array(
            'min'  => 10,
            'max'  => 100,
            'step' => 1,
        ),
    ) );

        /** Post Layouts */
    
    $wp_customize->add_section(
        'ott_tv_shows_post_layout_section',
        array(
            'title' => esc_html__( 'Post Layout Settings', 'ott-tv-shows' ),
            'priority' => 20,
            'capability' => 'edit_theme_options',
        )
    );

    $wp_customize->add_setting('ott_tv_shows_post_layout_setting', array(
        'default'           => 'right-sidebar',
        'sanitize_callback' => 'ott_tv_shows_sanitize_post_layout',
    ));

    $wp_customize->add_control('ott_tv_shows_post_layout_setting', array(
        'label'    => __('Post Column Settings', 'ott-tv-shows'),
        'section'  => 'ott_tv_shows_post_layout_section',
        'settings' => 'ott_tv_shows_post_layout_setting',
        'type'     => 'select',
        'choices'  => array(
            'one-column'   => __('One Column', 'ott-tv-shows'),
            'right-sidebar'   => __('Right Sidebar', 'ott-tv-shows'),
            'left-sidebar'   => __('Left Sidebar', 'ott-tv-shows'),
            'three-column'   => __('Three Columns', 'ott-tv-shows'),
            'four-column'   => __('Four Columns', 'ott-tv-shows'),
        ),
    ));

     /** Post Layouts Ends */

    /** Post Settings */
    $wp_customize->add_section(
        'ott_tv_shows_post_settings',
        array(
            'title' => esc_html__( 'Post Settings', 'ott-tv-shows' ),
            'priority' => 20,
            'capability' => 'edit_theme_options',
        )
    );

    /** Post Heading control */
    $wp_customize->add_setting( 
        'ott_tv_shows_post_heading_setting', 
        array(
            'default'           => true,
            'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
        ) 
    );

    $wp_customize->add_control(
        'ott_tv_shows_post_heading_setting',
        array(
            'label'       => __( 'Show / Hide Post Heading', 'ott-tv-shows' ),
            'section'     => 'ott_tv_shows_post_settings',
            'type'        => 'checkbox',
        )
    );

    /** Post Meta control */
    $wp_customize->add_setting( 
        'ott_tv_shows_post_meta_setting', 
        array(
            'default'           => true,
            'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
        ) 
    );

    $wp_customize->add_control(
        'ott_tv_shows_post_meta_setting',
        array(
            'label'       => __( 'Show / Hide Post Meta', 'ott-tv-shows' ),
            'section'     => 'ott_tv_shows_post_settings',
            'type'        => 'checkbox',
        )
    );

    /** Post Image control */
    $wp_customize->add_setting( 
        'ott_tv_shows_post_image_setting', 
        array(
            'default'           => true,
            'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
        ) 
    );

    $wp_customize->add_control(
        'ott_tv_shows_post_image_setting',
        array(
            'label'       => __( 'Show / Hide Post Image', 'ott-tv-shows' ),
            'section'     => 'ott_tv_shows_post_settings',
            'type'        => 'checkbox',
        )
    );

    /** Post Content control */
    $wp_customize->add_setting( 
        'ott_tv_shows_post_content_setting', 
        array(
            'default'           => true,
            'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
        ) 
    );

    $wp_customize->add_control(
        'ott_tv_shows_post_content_setting',
        array(
            'label'       => __( 'Show / Hide Post Content', 'ott-tv-shows' ),
            'section'     => 'ott_tv_shows_post_settings',
            'type'        => 'checkbox',
        )
    );
    /** Post ReadMore control */
     $wp_customize->add_setting( 'ott_tv_shows_read_more_setting`', array(
        'default'           => true,
        'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
    ) );

    $wp_customize->add_control( 'ott_tv_shows_read_more_setting`', array(
        'type'        => 'checkbox',
        'section'     => 'ott_tv_shows_post_settings', 
        'label'       => __( 'Display Read More Button', 'ott-tv-shows' ),
    ) );

    $wp_customize->add_setting('ott_tv_shows_single_post_align',array(
        'default' => 'left-align',
        'sanitize_callback' => 'ott_tv_shows_sanitize_single_post_align'
    ));
    $wp_customize->add_control('ott_tv_shows_single_post_align',array(
        'type' => 'select',
        'label' => __('Post Content Alignment','ott-tv-shows'),
        'section' => 'ott_tv_shows_post_settings',
        'choices' => array(
            'left-align' => __('Left Alignment','ott-tv-shows'),
            'right-align' => __('Right Alignment','ott-tv-shows'),
            'center-align' => __('Center Alignment','ott-tv-shows'),
        ),
    ) );

    /** Post Settings Ends */

     /** Single Post Settings */
    $wp_customize->add_section(
        'ott_tv_shows_single_post_settings',
        array(
            'title' => esc_html__( 'Single Post Settings', 'ott-tv-shows' ),
            'priority' => 20,
            'capability' => 'edit_theme_options',
        )
    );

    /** Single Post Meta control */
    $wp_customize->add_setting( 
        'ott_tv_shows_single_post_meta_setting', 
        array(
            'default'           => true,
            'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
        ) 
    );

    $wp_customize->add_control(
        'ott_tv_shows_single_post_meta_setting',
        array(
            'label'       => __( 'Show / Hide Single Post Meta', 'ott-tv-shows' ),
            'section'     => 'ott_tv_shows_single_post_settings',
            'type'        => 'checkbox',
        )
    );

    /** Single Post Content control */
    $wp_customize->add_setting( 
        'ott_tv_shows_single_post_content_setting', 
        array(
            'default'           => true,
            'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
        ) 
    );

    $wp_customize->add_control(
        'ott_tv_shows_single_post_content_setting',
        array(
            'label'       => __( 'Show / Hide Single Post Content', 'ott-tv-shows' ),
            'section'     => 'ott_tv_shows_single_post_settings',
            'type'        => 'checkbox',
        )
    );

    /** Single Post Settings Ends */

         // Typography Settings Section
    $wp_customize->add_section('ott_tv_shows_typography_settings', array(
        'title'      => esc_html__('Typography Settings', 'ott-tv-shows'),
        'priority'   => 30,
        'capability' => 'edit_theme_options',
    ));

    // Array of fonts to choose from
    $font_choices = array(
        ''               => __('Select', 'ott-tv-shows'),
        'Arial'          => 'Arial, sans-serif',
        'Verdana'        => 'Verdana, sans-serif',
        'Helvetica'      => 'Helvetica, sans-serif',
        'Times New Roman'=> '"Times New Roman", serif',
        'Georgia'        => 'Georgia, serif',
        'Courier New'    => '"Courier New", monospace',
        'Trebuchet MS'   => '"Trebuchet MS", sans-serif',
        'Tahoma'         => 'Tahoma, sans-serif',
        'Palatino'       => '"Palatino Linotype", serif',
        'Garamond'       => 'Garamond, serif',
        'Impact'         => 'Impact, sans-serif',
        'Comic Sans MS'  => '"Comic Sans MS", cursive, sans-serif',
        'Lucida Sans'    => '"Lucida Sans Unicode", sans-serif',
        'Arial Black'    => '"Arial Black", sans-serif',
        'Gill Sans'      => '"Gill Sans", sans-serif',
        'Segoe UI'       => '"Segoe UI", sans-serif',
        'Open Sans'      => '"Open Sans", sans-serif',
        'Roboto'         => 'Roboto, sans-serif',
        'Lato'           => 'Lato, sans-serif',
        'Montserrat'     => 'Montserrat, sans-serif',
        'Libre Baskerville' => 'Libre Baskerville',
    );

    // Heading Font Setting
    $wp_customize->add_setting('ott_tv_shows_heading_font_family', array(
        'default'           => '',
        'sanitize_callback' => 'ott_tv_shows_sanitize_choicess',
    ));
    $wp_customize->add_control('ott_tv_shows_heading_font_family', array(
        'type'    => 'select',
        'choices' => $font_choices,
        'label'   => __('Select Font for Heading', 'ott-tv-shows'),
        'section' => 'ott_tv_shows_typography_settings',
    ));

    // Body Font Setting
    $wp_customize->add_setting('ott_tv_shows_body_font_family', array(
        'default'           => '',
        'sanitize_callback' => 'ott_tv_shows_sanitize_choicess',
    ));
    $wp_customize->add_control('ott_tv_shows_body_font_family', array(
        'type'    => 'select',
        'choices' => $font_choices,
        'label'   => __('Select Font for Body', 'ott-tv-shows'),
        'section' => 'ott_tv_shows_typography_settings',
    ));

    /** Typography Settings Section End */

    /** General Settings */
    $wp_customize->add_section(
        'ott_tv_shows_general_settings',
        array(
            'title' => esc_html__( 'General Settings', 'ott-tv-shows' ),
            'priority' => 30,
            'capability' => 'edit_theme_options',
        )
    );

    /** Scroll to top control */
    $wp_customize->add_setting( 
        'ott_tv_shows_scroll_to_top', 
        array(
            'default' => 1,
            'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
        ) 
    );

    $wp_customize->add_control(
        'ott_tv_shows_scroll_to_top',
        array(
            'label'       => __( 'Show Scroll To Top', 'ott-tv-shows' ),
            'section'     => 'ott_tv_shows_general_settings',
            'type'        => 'checkbox',
        )
    );

     $wp_customize->add_setting('ott_tv_shows_scroll_icon',array(
        'default'   => 'fas fa-arrow-up',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new OTT_TV_Shows_Changeable_Icon(
        $wp_customize,'ott_tv_shows_scroll_icon',array(
        'label' => __('Scroll Top Icon','ott-tv-shows'),
        'transport' => 'refresh',
        'section'   => 'ott_tv_shows_general_settings',
        'type'      => 'icon'
    )));

    /** Preloader control */
    $wp_customize->add_setting( 
        'ott_tv_shows_header_preloader', 
        array(
            'default' => false,
            'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
        ) 
    );

    $wp_customize->add_control(
        'ott_tv_shows_header_preloader',
        array(
            'label'       => __( 'Show Preloader', 'ott-tv-shows' ),
            'section'     => 'ott_tv_shows_general_settings',
            'type'        => 'checkbox',
        )
    );

    $wp_customize->add_setting('ott_tv_shows_loader_layout_setting', array(
        'default' => 'load',
        'sanitize_callback' => 'sanitize_text_field',
    ));

    // Add control for loader layout
    $wp_customize->add_control('ott_tv_shows_loader_layout_control', array(
        'label' => __('Preloader Layout', 'ott-tv-shows'),
        'section' => 'ott_tv_shows_general_settings',
        'settings' => 'ott_tv_shows_loader_layout_setting',
        'type' => 'select',
        'choices' => array(
            'load' => __('Preloader 1', 'ott-tv-shows'),
            'load-one' => __('Preloader 2', 'ott-tv-shows'),
            'ctn-preloader' => __('Preloader 3', 'ott-tv-shows'),
        ),
    ));
    /** Sticky Header control */
    $wp_customize->add_setting( 
        'ott_tv_shows_sticky_header', 
        array(
            'default' => false,
            'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
        ) 
    );

    $wp_customize->add_control(
        'ott_tv_shows_sticky_header',
        array(
            'label'       => __( 'Show Sticky Header', 'ott-tv-shows' ),
            'section'     => 'ott_tv_shows_general_settings',
            'type'        => 'checkbox',
        )
    );

    // Add Setting for Menu Font Weight
    $wp_customize->add_setting( 'ott_tv_shows_menu_font_weight', array(
        'default'           => '600',
        'sanitize_callback' => 'ott_tv_shows_sanitize_font_weight',
    ) );

    // Add Control for Menu Font Weight
    $wp_customize->add_control( 'ott_tv_shows_menu_font_weight', array(
        'label'    => __( 'Menu Font Weight', 'ott-tv-shows' ),
        'section'  => 'ott_tv_shows_general_settings',
        'type'     => 'select',
        'choices'  => array(
            '100' => __( '100 - Thin', 'ott-tv-shows' ),
            '200' => __( '200 - Extra Light', 'ott-tv-shows' ),
            '300' => __( '300 - Light', 'ott-tv-shows' ),
            '400' => __( '400 - Normal', 'ott-tv-shows' ),
            '500' => __( '500 - Medium', 'ott-tv-shows' ),
            '600' => __( '600 - Semi Bold', 'ott-tv-shows' ),
            '700' => __( '700 - Bold', 'ott-tv-shows' ),
            '800' => __( '800 - Extra Bold', 'ott-tv-shows' ),
            '900' => __( '900 - Black', 'ott-tv-shows' ),
        ),
    ) );

    // Add Setting for Menu Text Transform
    $wp_customize->add_setting( 'ott_tv_shows_menu_text_transform', array(
        'default'           => 'capitalize',
        'sanitize_callback' => 'ott_tv_shows_sanitize_text_transform',
    ) );

    // Add Control for Menu Text Transform
    $wp_customize->add_control( 'ott_tv_shows_menu_text_transform', array(
        'label'    => __( 'Menu Text Transform', 'ott-tv-shows' ),
        'section'  => 'ott_tv_shows_general_settings',
        'type'     => 'select',
        'choices'  => array(
            'none'       => __( 'None', 'ott-tv-shows' ),
            'capitalize' => __( 'Capitalize', 'ott-tv-shows' ),
            'uppercase'  => __( 'Uppercase', 'ott-tv-shows' ),
            'lowercase'  => __( 'Lowercase', 'ott-tv-shows' ),
        ),
    ) );

    $wp_customize->add_setting('ott_tv_shows_theme_width',array(
        'default' => 'full-width',
        'sanitize_callback' => 'ott_tv_shows_sanitize_theme_width'
    ));
    $wp_customize->add_control('ott_tv_shows_theme_width',array(
        'type' => 'select',
        'label' => __('Theme Width Option','ott-tv-shows'),
        'section' => 'ott_tv_shows_general_settings',
        'choices' => array(
            'full-width' => __('Fullwidth','ott-tv-shows'),
            'container' => __('Container','ott-tv-shows'),
            'container-fluid' => __('Container Fluid','ott-tv-shows'),
        ),
    ) );

    /** Home Page Settings */
    $wp_customize->add_panel( 
        'ott_tv_shows_home_page_settings',
         array(
            'priority' => 40,
            'capability' => 'edit_theme_options',
            'title' => esc_html__( 'Home Page Settings', 'ott-tv-shows' ),
            'description' => esc_html__( 'Customize Home Page Settings', 'ott-tv-shows' ),
        ) 
    );

    /** Slider Section Settings */
    $wp_customize->add_section(
        'ott_tv_shows_slider_section_settings',
        array(
            'title' => esc_html__( 'Slider Section Settings', 'ott-tv-shows' ),
            'priority' => 30,
            'capability' => 'edit_theme_options',
            'panel' => 'ott_tv_shows_home_page_settings',
        )
    );

    /** Slider Section control */
    $wp_customize->add_setting( 
        'ott_tv_shows_slider_setting', 
        array(
            'default' => false,
            'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
        ) 
    );

    $wp_customize->add_control(
        'ott_tv_shows_slider_setting',
        array(
            'label'       => __( 'Show Slider', 'ott-tv-shows' ),
            'section'     => 'ott_tv_shows_slider_section_settings',
            'type'        => 'checkbox',
        )
    );
    
    $categories = get_categories();
        $cat_posts = array();
            $i = 0;
            $cat_posts[]='Select';
        foreach($categories as $category){
            if($i==0){
            $default = $category->slug;
            $i++;
        }
        $cat_posts[$category->slug] = $category->name;
    }

    $wp_customize->add_setting(
        'ott_tv_shows_blog_slide_category',
        array(
            'default'   => 'select',
            'sanitize_callback' => 'ott_tv_shows_sanitize_choices',
        )
    );
    $wp_customize->add_control(
        'ott_tv_shows_blog_slide_category',
        array(
            'type'    => 'select',
            'choices' => $cat_posts,
            'label' => __('Select Category to display Slides','ott-tv-shows'),
            'section' => 'ott_tv_shows_slider_section_settings',
        )
    );

    // Section Text
    $wp_customize->add_setting('ott_tv_shows_slider_text_extra', 
        array(
        'default'           => '',
        'type'              => 'theme_mod',
        'capability'        => 'edit_theme_options',    
        'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control('ott_tv_shows_slider_text_extra', 
        array(
        'label'       => __('Slider Extra Title', 'ott-tv-shows'),
        'section'     => 'ott_tv_shows_slider_section_settings',   
        'settings'    => 'ott_tv_shows_slider_text_extra',
        'type'        => 'text'
        )
    );


     /** Card Section Settings */
    
    $wp_customize->add_section( 'ott_tv_shows_section_featured_about',
        array(
        'title'      => __( 'Card Section', 'ott-tv-shows' ),
        'priority'   => 110,
        'capability' => 'edit_theme_options',
        'panel'      => 'ott_tv_shows_home_page_settings',
        )
    );

    $wp_customize->add_setting( 
        'ott_tv_shows_cards_setting', 
        array(
            'default' => false ,
            'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
        ) 
    );

    $wp_customize->add_control(
        'ott_tv_shows_cards_setting',
        array(
            'label'       => __( 'Show Card', 'ott-tv-shows' ),
            'section'     => 'ott_tv_shows_section_featured_about',
            'type'        => 'checkbox',
        )
    );

    for ($ott_tv_shows_i = 1; $ott_tv_shows_i <= 4; $ott_tv_shows_i++) {
        // Year of Course Setting
        $wp_customize->add_setting('ott_tv_shows_card_title' . $ott_tv_shows_i, array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        ));
        $wp_customize->add_control('ott_tv_shows_card_title' . $ott_tv_shows_i, array(
            'label'    => __('Card Title', 'ott-tv-shows') . $ott_tv_shows_i,
            'section'  => 'ott_tv_shows_section_featured_about',
            'settings' => 'ott_tv_shows_card_title' . $ott_tv_shows_i,
        ));

        // Course Name Setting
        $wp_customize->add_setting('ott_tv_shows_card_text' . $ott_tv_shows_i, array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        ));
        $wp_customize->add_control('ott_tv_shows_card_text' . $ott_tv_shows_i, array(
            'label'    => __('Card Text', 'ott-tv-shows') . $ott_tv_shows_i,
            'section'  => 'ott_tv_shows_section_featured_about',
            'settings' => 'ott_tv_shows_card_text' . $ott_tv_shows_i,
        ));


        $wp_customize->add_setting('ott_tv_shows_card_icon' . $ott_tv_shows_i,array(
            'default'   => '',
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control(new OTT_TV_Shows_Changeable_Icon(
            $wp_customize,'ott_tv_shows_card_icon' . $ott_tv_shows_i,array(
            'label' => __('Card Icon','ott-tv-shows') . $ott_tv_shows_i,
            'transport' => 'refresh',
            'section'   => 'ott_tv_shows_section_featured_about',
            'type'      => 'icon'
        )));

    }

        /** Product Tab Section Settings */
    
    $wp_customize->add_section( 'ott_tv_shows_section_featured_product',
        array(
        'title'      => __( 'Product Tab Section', 'ott-tv-shows' ),
        'priority'   => 110,
        'capability' => 'edit_theme_options',
        'panel'      => 'ott_tv_shows_home_page_settings',
        )
    );

    /** Product Section control */
    $wp_customize->add_setting( 
        'ott_tv_shows_about_setting', 
        array(
            'default' => false ,
            'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
        ) 
    );

    $wp_customize->add_control(
        'ott_tv_shows_about_setting',
        array(
            'label'       => __( 'Show Tabs', 'ott-tv-shows' ),
            'section'     => 'ott_tv_shows_section_featured_product',
            'type'        => 'checkbox',
        )
    );

    // Section Title
    $wp_customize->add_setting('ott_tv_shows_featured_mission_section_sub_title', 
        array(
        'capability'        => 'edit_theme_options',    
        'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control('ott_tv_shows_featured_mission_section_sub_title', 
        array(
        'label'       => __('Section Sub Heading', 'ott-tv-shows'),
        'section'     => 'ott_tv_shows_section_featured_product',   
        'settings'    => 'ott_tv_shows_featured_mission_section_sub_title',
        'type'        => 'text'
        )
    );

    // Section Title
    $wp_customize->add_setting('ott_tv_shows_featured_mission_section_title', 
        array(
        'capability'        => 'edit_theme_options',    
        'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control('ott_tv_shows_featured_mission_section_title', 
        array(
        'label'       => __('Section Heading', 'ott-tv-shows'),
        'section'     => 'ott_tv_shows_section_featured_product',   
        'settings'    => 'ott_tv_shows_featured_mission_section_title',
        'type'        => 'text'
        )
    );

    // Items
    $wp_customize->add_setting('ott_tv_shows_number_of_featured_mission_items', 
        array(
        'default'           => '',
        'capability'        => 'edit_theme_options',    
        'sanitize_callback' => 'ott_tv_shows_sanitize_number_range'
        )
    );

    $wp_customize->add_control('ott_tv_shows_number_of_featured_mission_items', 
        array(
        'label'       => __('Items (Max: 3)', 'ott-tv-shows'),
        'section'     => 'ott_tv_shows_section_featured_product',   
        'settings'    => 'ott_tv_shows_number_of_featured_mission_items',
        'type'        => 'number',
        'input_attrs' => array(
                'min'   => 1,
                'max'   => 3,
                'step'  => 1,
            ),
        )
    );

 $ott_tv_shows_number_of_featured_mission_items = get_theme_mod( 'ott_tv_shows_number_of_featured_mission_items' );

for ($item_index = 1; $item_index <= $ott_tv_shows_number_of_featured_mission_items; $item_index++) {

    // Section Tab
    $wp_customize->add_setting('ott_tv_shows_featured_mission_section_tab_' . $item_index, 
        array(  
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control('ott_tv_shows_featured_mission_section_tab_' . $item_index, 
        array(
            'label'       => __('Tab ', 'ott-tv-shows') . $item_index,
            'section'     => 'ott_tv_shows_section_featured_product',
            'settings'    => 'ott_tv_shows_featured_mission_section_tab_' . $item_index,
            'type'        => 'text'
        )
    );

    // Post Categories
    $categories = get_terms( array(
        'taxonomy'   => 'product_cat',
        'hide_empty' => false,
    ) );
    $cat_posts = array();
    $default = '';
    $cat_posts[] = 'Select';
    foreach ($categories as $category) {
        $cat_posts[$category->slug] = $category->name;
    }

    $wp_customize->add_setting(
        'ott_tv_shows_trending_post_slider_args_' . $item_index,
        array(
            'default'            => 'select',
            'sanitize_callback'  => 'ott_tv_shows_sanitize_choices',
        )
    );
    $wp_customize->add_control(
        'ott_tv_shows_trending_post_slider_args_' . $item_index,
        array(
            'type'     => 'select',
            'choices'  => $cat_posts,
            'label'    => __('Select Category to display Tab Details', 'ott-tv-shows'),
            'section'  => 'ott_tv_shows_section_featured_product',
        )
    );
}
    /** Home Page Settings Ends */
    
    /** Footer Section */
    $wp_customize->add_section(
        'ott_tv_shows_footer_section',
        array(
            'title' => __( 'Footer Settings', 'ott-tv-shows' ),
            'priority' => 70,
        )
    );

    /** Footer Copyright control */
    $wp_customize->add_setting( 
        'ott_tv_shows_footer_setting', 
        array(
            'default' => true,
            'sanitize_callback' => 'ott_tv_shows_sanitize_checkbox',
        ) 
    );

    $wp_customize->add_control(
        'ott_tv_shows_footer_setting',
        array(
            'label'       => __( 'Show Footer Copyright', 'ott-tv-shows' ),
            'section'     => 'ott_tv_shows_footer_section',
            'type'        => 'checkbox',
        )
    );
    
    /** Copyright Text */
    $wp_customize->add_setting(
        'ott_tv_shows_footer_copyright_text',
        array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
        'ott_tv_shows_footer_copyright_text',
        array(
            'label' => __( 'Copyright Info', 'ott-tv-shows' ),
            'section' => 'ott_tv_shows_footer_section',
            'type' => 'text',
        )
    );  
    $wp_customize->add_setting('ott_tv_shows_footer_background_image',
        array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'absint',
        )
    );


    $wp_customize->add_control(
         new WP_Customize_Cropped_Image_Control($wp_customize, 'ott_tv_shows_footer_background_image',
            array(
                'label' => esc_html__('Footer Background Image', 'ott-tv-shows'),
                'description' => sprintf(esc_html__('Recommended Size %1$s px X %2$s px', 'ott-tv-shows'), 1024, 800),
                'section' => 'ott_tv_shows_footer_section',
                'width' => 1024,
                'height' => 800,
                'flex_width' => true,
                'flex_height' => true,
                'priority' => 100,
            )
        )
    );

    /* Footer Background Color*/
    $wp_customize->add_setting(
        'ott_tv_shows_footer_background_color',
        array(
            'default' => '',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'ott_tv_shows_footer_background_color',
            array(
                'label' => __('Footer Widget Area Background Color', 'ott-tv-shows'),
                'section' => 'ott_tv_shows_footer_section',
                'type' => 'color',
            )
        )
    );

    // 404 PAGE SETTINGS
    $wp_customize->add_section(
        'ott_tv_shows_404_section',
        array(
            'title' => __( '404 Page Settings', 'ott-tv-shows' ),
            'priority' => 70,
        )
    );
   
    $wp_customize->add_setting('404_page_image', array(
        'default' => '',
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw', // Sanitize as URL
    ));

    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, '404_page_image', array(
        'label' => __('404 Page Image', 'ott-tv-shows'),
        'section' => 'ott_tv_shows_404_section',
        'settings' => '404_page_image',
    )));

    $wp_customize->add_setting('404_pagefirst_header', array(
        'default' => __('404', 'ott-tv-shows'),
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_text_field', // Sanitize as text field
    ));

    $wp_customize->add_control('404_pagefirst_header', array(
        'type' => 'text',
        'label' => __('Heading', 'ott-tv-shows'),
        'section' => 'ott_tv_shows_404_section',
    ));

    // Setting for 404 page header
    $wp_customize->add_setting('404_page_header', array(
        'default' => __('Sorry, that page can\'t be found!', 'ott-tv-shows'),
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_text_field', // Sanitize as text field
    ));

    $wp_customize->add_control('404_page_header', array(
        'type' => 'text',
        'label' => __('Heading', 'ott-tv-shows'),
        'section' => 'ott_tv_shows_404_section',
    ));

}
add_action( 'customize_register', 'ott_tv_shows_customize_register' );
endif;

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function ott_tv_shows_customize_preview_js() {
    // Use minified libraries if SCRIPT_DEBUG is false
    $ott_tv_shows_build  = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '/build' : '';
    $ott_tv_shows_suffix = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';
	wp_enqueue_script( 'ott_tv_shows_customizer', get_template_directory_uri() . '/js' . $ott_tv_shows_build . '/customizer' . $ott_tv_shows_suffix . '.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'ott_tv_shows_customize_preview_js' );